GET
/api/database/tables/database/{database_id}/List tables in a database
Lists the tables in a database. Use database_id to select the database; the authenticated user must have access to its workspace.
database_idintegerrequired
The unique integer identifier of the database whose tables to list.
200Returns an array of database table objects, including each table's name, order, database identifier, and data sync configuration.
data_syncobjectrequired
database_idintegerrequired
idintegerrequired
namestringrequired
orderintegerrequired
Lowest first.
400Returned when the authenticated user is not in the database workspace.
detailstringoptional
Human readable details about what went wrong.
errorstringoptional
Machine readable error indicating what went wrong.
404Returned when the API reports that the application does not exist.
detailstringoptional
Human readable details about what went wrong.
errorstringoptional
Machine readable error indicating what went wrong.
Error handling
A 400 is returned when the authenticated user is not in the database workspace. A 404 is returned when the API reports ERROR_APPLICATION_DOES_NOT_EXIST; database_id must identify the database whose tables you want.